import { DefaultKeys, KeyPairOptions, Ed25519KeyPair } from '@bitgo-beta/sdk-core';
export declare class KeyPair extends Ed25519KeyPair {
    /**
     * Public constructor. By default, creates a key pair with a random master seed.
     *
     * @param { KeyPairOptions } source Either a master seed, a private key, or a public key
     *
     */
    constructor(source?: KeyPairOptions);
    /**
     *  @returns { Address }
     */
    getAddress(format: any): string;
    getKeys(): DefaultKeys;
    recordKeysFromPrivateKeyInProtocolFormat(prv: string): DefaultKeys;
    recordKeysFromPublicKeyInProtocolFormat(pub: string): DefaultKeys;
    /** @inheritdoc */
    signMessage(message: string): Uint8Array;
}
//# sourceMappingURL=keyPair.d.ts.map