import { TransactionBuilder } from './transactionBuilder';
import { Transaction } from './transaction';
import { BaseKey } from '@bitgo-beta/sdk-core';
/**
 * Common functionalities for claiming rewards and withdrawing unstaked builders.
 */
export declare abstract class StakingBaseClaimBuilder extends TransactionBuilder {
    /** @inheritdoc */
    protected fromImplementation(rawTransaction: string): Transaction;
    /** @inheritdoc */
    protected signImplementation(key: BaseKey): Transaction;
    /**
     * Creates a withdrawal to add to our transaction body so we can withdraw from our rewards/stake address
     *
     * @param stakingPubKey User's public stake key
     * @param value Amount from the rewards address we're withdrawing
     */
    addWithdrawal(stakingPubKey: string, value: string): this;
}
//# sourceMappingURL=stakingBaseClaimBuilder.d.ts.map