import { BaseCoin as CoinConfig } from '@bitgo-beta/statics';
import { BaseTransactionBuilderFactory } from '@bitgo-beta/sdk-core';
import { TransferBuilder } from './transferBuilder';
import { WalletInitializationBuilder } from './walletInitializationBuilder';
import { TransactionBuilder } from './transactionBuilder';
import { Transaction } from './transaction';
import { StakingActivateBuilder } from './stakingActivateBuilder';
import { StakingDeactivateBuilder } from './stakingDeactivateBuilder';
import { StakingWithdrawBuilder } from './stakingWithdrawBuilder';
import { StakingPledgeBuilder } from './stakingPledgeBuilder';
import { StakingClaimRewardsBuilder } from './stakingClaimRewardsBuilder';
import { VoteDelegationBuilder } from './voteDelegationBuilder';
export declare class TransactionBuilderFactory extends BaseTransactionBuilderFactory {
    constructor(_coinConfig: Readonly<CoinConfig>);
    /** @inheritdoc */
    from(raw: Uint8Array | string): TransactionBuilder;
    /** @inheritdoc */
    getWalletInitializationBuilder(tx?: Transaction): WalletInitializationBuilder;
    /** @inheritdoc */
    getTransferBuilder(tx?: Transaction): TransferBuilder;
    getStakingActivateBuilder(tx?: Transaction): StakingActivateBuilder;
    getVoteDelegationBuilder(tx?: Transaction): VoteDelegationBuilder;
    getStakingClaimRewardsBuilder(tx?: Transaction): StakingClaimRewardsBuilder;
    getStakingDeactivateBuilder(tx?: Transaction): StakingDeactivateBuilder;
    getStakingWithdrawBuilder(tx?: Transaction): StakingWithdrawBuilder;
    getStakingPledgeBuilder(tx?: Transaction): StakingPledgeBuilder;
    /**
     * Initialize the builder with the given transaction
     *
     * @param {Transaction | undefined} tx - the transaction used to initialize the builder
     * @param {TransactionBuilder} builder - the builder to be initialized
     * @returns {TransactionBuilder} the builder initialized
     */
    private static initializeBuilder;
}
//# sourceMappingURL=transactionBuilderFactory.d.ts.map