import { BaseKey, TransactionType } from '@bitgo-beta/sdk-core';
import { BaseCoin as CoinConfig } from '@bitgo-beta/statics';
import { TransactionBuilder } from './transactionBuilder';
import { Transaction } from './transaction';
export declare class VoteDelegationBuilder extends TransactionBuilder {
    constructor(_coinConfig: Readonly<CoinConfig>);
    protected get transactionType(): TransactionType;
    /** @inheritdoc */
    initBuilder(tx: Transaction): void;
    /**
     * Creates the proper certificates needed to delegate a user's vote to a given DRep
     *
     * @param stakingPublicKey The user's public stake key
     * @param dRepId The DRep ID of the DRep we will delegate vote to
     */
    addVoteDelegationCertificate(stakingPublicKey: string, dRepId: string): this;
    /** @inheritdoc */
    protected buildImplementation(): Promise<Transaction>;
    /** @inheritdoc */
    protected fromImplementation(rawTransaction: string): Transaction;
    /** @inheritdoc */
    protected signImplementation(key: BaseKey): Transaction;
}
//# sourceMappingURL=voteDelegationBuilder.d.ts.map